import React, { Component } from 'react';
import ReactDOM from 'react-dom';

import '../../lib/_typography.scss';

import { Button } from '../../lib/button';
import { ButtonGroup } from '../../lib/button-group';
import { ButtonGroup as FlexButtonGroup } from '../../lib/button-group-flex';

class App extends Component {
  render() {
    return (
      <div>
        <h1>Welcome to CSS Modules Custom example!</h1>
        <p>
          Importing a component will import the components required CSS. This means that your final
          CSS stylesheet generated by bundler will always contain minimum required amount of class
          names.
        </p>
        <p>
          We've also imported <code>react-foundation-components/lib/_typography.scss</code> for
          general look and feel.
        </p>
        <p>
          We are also using https://www.npmjs.com/package/jsontosass-loader to prepend theme.json
          to all CSS modules imported. Here theme.json is changing the secondary color to purple.
        </p>
        <div>
          <h3>Button <code>react-foundation-components/lib/button</code></h3>
          <Button>Click Me!</Button>
          <Button color="secondary">Purple is Secondary Color</Button>
        </div>
        <div>
          <h3>ButtonGroup <code>react-foundation-components/lib/button-group</code></h3>
          <ButtonGroup>
            <Button>A</Button>
            <Button>B</Button>
            <Button>C</Button>
          </ButtonGroup>
        </div>
        <div>
          <h3>
            Flexbox ButtonGroup <code>react-foundation-components/lib/button-group-flex</code>
          </h3>
          <p>
            Because CSS Modules creates class names that are scoped locally to the component,
            we can use same Flexbox based and Float based components at same time! CSS Modules FTW!
          </p>
          <FlexButtonGroup>
            <Button>A</Button>
            <Button>B</Button>
            <Button>C</Button>
          </FlexButtonGroup>
        </div>
      </div>
    );
  }
}

ReactDOM.render(<App />, document.getElementById('app'));
